Skip to main content
POST
Create Wallet
Supported TypesThis endpoint can create trading wallets, vault wallets, and onchain wallets that do not require key generation. The first EVM and first Solana onchain wallet in a portfolio must be created prior to creating subsequent EVM or Solana wallets in a portfolio via API.
Creating a trading wallet does not create a deposit address. Before the first onchain deposit or inbound transfer into that wallet, call Get Wallet Deposit Instructions with deposit_type=CRYPTO for the destination network. A successful call creates the default deposit address for that network if one does not already exist.
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

Portfolio ID

Body

application/json
name
string
required
symbol
string
required
wallet_type
enum<string>
  • VAULT: A crypto vault
  • TRADING: A trading wallet
  • WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
  • QC: A QC Wallet
  • ONCHAIN: An Onchain wallet
Available options:
VAULT,
TRADING,
WALLET_TYPE_OTHER,
QC,
ONCHAIN
idempotency_key
string
network_family
enum<string>
Available options:
NETWORK_FAMILY_EVM,
NETWORK_FAMILY_SOLANA
network
object

Response

A successful response.

activity_id
string
name
string
symbol
string
wallet_type
enum<string>
  • VAULT: A crypto vault
  • TRADING: A trading wallet
  • WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
  • QC: A QC Wallet
  • ONCHAIN: An Onchain wallet
Available options:
VAULT,
TRADING,
WALLET_TYPE_OTHER,
QC,
ONCHAIN
network_family
enum<string>
Available options:
NETWORK_FAMILY_EVM,
NETWORK_FAMILY_SOLANA